Skip to main content
PUT
/
v1
/
assessments
/
{id}
Update an assessment
curl --request PUT \
  --url https://api.app.chainloop.dev/v1/assessments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "ASSESSMENT_STATUS_UNSPECIFIED",
  "justification_code": "ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED",
  "note": "<string>",
  "products": {
    "entries": [
      {
        "purl_glob": "purl_glob"
      }
    ]
  }
}
'
{
  "result": {
    "justification_code": "ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED",
    "note": "note",
    "creator_type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
    "created_at": "2000-01-23T04:56:07.000Z",
    "external_id": "external_id",
    "project_version_id": "project_version_id",
    "created_by": {
      "intercom_hash": "intercom_hash",
      "created_at": "2000-01-23T04:56:07.000Z",
      "last_name": "last_name",
      "id": "id",
      "first_name": "first_name",
      "email": "email",
      "instance_admin": true
    },
    "products": [
      {
        "purl_glob": "purl_glob"
      },
      {
        "purl_glob": "purl_glob"
      }
    ],
    "updated_at": "2000-01-23T04:56:07.000Z",
    "project_id": "project_id",
    "finding_ids": [
      "finding_ids",
      "finding_ids"
    ],
    "organization_id": "organization_id",
    "scope": "ASSESSMENT_SCOPE_UNSPECIFIED",
    "id": "id",
    "status": "ASSESSMENT_STATUS_UNSPECIFIED"
  }
}

Authorizations

Authorization
string
header
required

Bearer token for authentication

Path Parameters

id
string
required

Assessment ID

Body

application/json

Request to update an assessment

status
enum<string>
default:ASSESSMENT_STATUS_UNSPECIFIED
Available options:
ASSESSMENT_STATUS_UNSPECIFIED,
ASSESSMENT_STATUS_NOT_AFFECTED,
ASSESSMENT_STATUS_AFFECTED,
ASSESSMENT_STATUS_UNDER_INVESTIGATION,
ASSESSMENT_STATUS_FIXED
justification_code
enum<string>
default:ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED
Available options:
ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED,
ASSESSMENT_JUSTIFICATION_CODE_COMPONENT_NOT_PRESENT,
ASSESSMENT_JUSTIFICATION_CODE_VULNERABLE_CODE_NOT_PRESENT,
ASSESSMENT_JUSTIFICATION_CODE_VULNERABLE_CODE_CANNOT_BE_CONTROLLED_BY_ADVERSARY,
ASSESSMENT_JUSTIFICATION_CODE_VULNERABLE_CODE_NOT_IN_EXECUTE_PATH,
ASSESSMENT_JUSTIFICATION_CODE_INLINE_MITIGATIONS_ALREADY_EXIST
note
string

New note

products
object

AssessmentProductList wraps a list of products so the Update RPC can distinguish "field not sent" (message absent) from "clear all products" (message present with empty entries).

Response

A successful response.

Response for Update method

result
AssessmentItem · object

Full representation of a security assessment

Example:
{
"justification_code": "ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED",
"note": "note",
"creator_type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"created_at": "2000-01-23T04:56:07.000Z",
"external_id": "external_id",
"project_version_id": "project_version_id",
"created_by": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"products": [
{ "purl_glob": "purl_glob" },
{ "purl_glob": "purl_glob" }
],
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"finding_ids": ["finding_ids", "finding_ids"],
"organization_id": "organization_id",
"scope": "ASSESSMENT_SCOPE_UNSPECIFIED",
"id": "id",
"status": "ASSESSMENT_STATUS_UNSPECIFIED"
}